From 1d1a9fa65e258140db4da973e149fa3d3c848a53 Mon Sep 17 00:00:00 2001
From: Ilias Apalodimas <ilias.apalodimas@linaro.org>
Date: Mon, 14 Aug 2023 16:53:52 +0300
Subject: [PATCH] zynqmp: add reserved nodes for firmware

The upsteam DT does not account for the tee load address nor the
pmu/fsbl firmware.  The reason is since those depends on compilation
flags of the projects.  Add reserved mem nodes for those two based on
the load addresses and size we define

Upstream-Status: Inappropriate [It depends on tf-a/optee compilation options]
Signed-off-by: Ilias Apalodimas <ilias.apalodimas@linaro.org>
---
 arch/arm/dts/zynqmp-sck-kv-g-revB.dts | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/arch/arm/dts/zynqmp-sck-kv-g-revB.dts b/arch/arm/dts/zynqmp-sck-kv-g-revB.dts
index f935f25c887f..e0a1f2499b52 100644
--- a/arch/arm/dts/zynqmp-sck-kv-g-revB.dts
+++ b/arch/arm/dts/zynqmp-sck-kv-g-revB.dts
@@ -21,6 +21,17 @@
 		     "xlnx,zynqmp-sk-kv260-revB",
 		     "xlnx,zynqmp-sk-kv260", "xlnx,zynqmp";
 	model = "ZynqMP KV260 revB";
+
+        reserved-memory {
+                #address-cells = <2>;
+                #size-cells = <2>;
+                ranges;
+
+                optee_reserved: optee@0x600000000 {
+                        reg = <0 0x60000000 0 0x10000000>;
+                        no-map;
+                };
+        };
 };

 &i2c1 { /* I2C_SCK C23/C24 - MIO from SOM */
--
2.37.2

